#!/bin/bash

# Update website from kernel tarball.
# usage: cd kerneldir; make.sh kdocsdir

if [ ! -f "MAINTAINERS" ]
then
  echo $1 Not in kernel source dir
  exit 1
fi

if [ ! -d "$1" ]
then
  echo $1 not directory
  exit 1
fi

# Delete old copies, create empty directories.

rm -rf $1/{Documentation,htmldocs}
mkdir -p $1/{Documentation,htmldocs}

# The list of architectures supported by this kernel
# echo include/asm-* | sed 's@include/asm-@@g'

# Run this in the linux kernel source directory

make distclean
tar c Documentation | tar xvC $1
make htmldocs
cat Documentation/DocBook/index.html | sed -re 's@HREF=".*/(.*)"@HREF="\1"@' > $1/htmldocs/index.html &&
cp `find Documentation/DocBook -name "*.html" | grep "Documentation/DocBook/.*/.*\.html"` $1/htmldocs/
